-- NAV TECHDAYS 2015 - Alain Krikilion

USE [msdb]
GO

/****** Object:  Job [NAVTECHDAYS_TLBACKUP]    Script Date: 02/11/2015 21:12:21 ******/
BEGIN TRANSACTION
DECLARE @ReturnCode INT
SELECT @ReturnCode = 0
/****** Object:  JobCategory [[Uncategorized (Local)]]    Script Date: 02/11/2015 21:12:22 ******/
IF NOT EXISTS (SELECT name FROM msdb.dbo.syscategories WHERE name=N'[Uncategorized (Local)]' AND category_class=1)
BEGIN
EXEC @ReturnCode = msdb.dbo.sp_add_category @class=N'JOB', @type=N'LOCAL', @name=N'[Uncategorized (Local)]'
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback

END

DECLARE @jobId BINARY(16)
EXEC @ReturnCode =  msdb.dbo.sp_add_job @job_name=N'NAVTECHDAYS2015_TLBACKUP', 
		@enabled=1, 
		@notify_level_eventlog=0, 
		@notify_level_email=2, 
		@notify_level_netsend=0, 
		@notify_level_page=0, 
		@delete_level=0, 
		@description=N'No description available.', 
		@category_name=N'[Uncategorized (Local)]', 
		@owner_login_name=N'sa', 
		@notify_email_operator_name=N'DBA', @job_id = @jobId OUTPUT
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
/****** Object:  Step [TL backup]    Script Date: 02/11/2015 21:12:22 ******/
EXEC @ReturnCode = msdb.dbo.sp_add_jobstep @job_id=@jobId, @step_name=N'TL backup', 
		@step_id=1, 
		@cmdexec_success_code=0, 
		@on_success_action=1, 
		@on_success_step_id=0, 
		@on_fail_action=2, 
		@on_fail_step_id=0, 
		@retry_attempts=0, 
		@retry_interval=0, 
		@os_run_priority=0, @subsystem=N'TSQL', 
		@command=N'DECLARE @dt AS VARCHAR(200);
DECLARE @file  AS VARCHAR(200);
DECLARE @subdir AS VARCHAR(200);
SET @subdir = ''T:\SQLBACKUP\'' 

--TL backup BACKUP_RESTORE : one file per day
SET @dt=SUBSTRING(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(200),GETDATE(),20),''-'',''''),'':'',''''),'' '',''_''),1,8);

--TL backup BACKUP_RESTORE : one file per TL-backup
-- SET @dt=REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(200),GETDATE(),20),''-'',''''),'':'',''''),'' '',''_'');


SET @dt= @subdir + N''BACKUP_RESTORE_'' + @dt + ''.trn'';

BACKUP LOG [BACKUP_RESTORE] 
  TO  DISK = @dt 
  WITH NOFORMAT, COMPRESSION, NOINIT,  NAME = N''BACKUP_RESTORE-Transaction Log  Backup'', 
  SKIP, NOREWIND, NOUNLOAD,  STATS = 10
', 
		@database_name=N'master', 
		@flags=4
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
EXEC @ReturnCode = msdb.dbo.sp_update_job @job_id = @jobId, @start_step_id = 1
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
EXEC @ReturnCode = msdb.dbo.sp_add_jobschedule @job_id=@jobId, @name=N'every 10 minutes between 8:00 and 20:00', 
		@enabled=1, 
		@freq_type=8, 
		@freq_interval=62, 
		@freq_subday_type=4, 
		@freq_subday_interval=10, 
		@freq_relative_interval=0, 
		@freq_recurrence_factor=1, 
		@active_start_date=20151102, 
		@active_end_date=99991231, 
		@active_start_time=80000, 
		@active_end_time=200100, 
		@schedule_uid=N'd754ed3d-242b-4095-80d5-3602639cf440'
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
EXEC @ReturnCode = msdb.dbo.sp_add_jobserver @job_id = @jobId, @server_name = N'(local)'
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
COMMIT TRANSACTION
GOTO EndSave
QuitWithRollback:
    IF (@@TRANCOUNT > 0) ROLLBACK TRANSACTION
EndSave:

GO


